/* CSS to render the chess boards in the article.
 *
 * It assumes you'll have a table inside a div with a class
 * of board, and that you take responsibility for making sure
 * the board's an 8×8 grid of td cells.
 *
 * Beats using a .GIF!
 */

.board {
  text-align: center;
}
.board table {
  margin-left: auto;
  margin-right: auto;
  border-collapse: collapse;
  border: 2px solid black;
}

.board td {
  border: 0;
  text-align: center;
  vertical-align: middle;
  width: 2em;
  height: 2em;
  background-color: white;
}

.board table tr:nth-child(odd) td:nth-child(even) {
  background-color: darkgray;
}
.board table tr:nth-child(even) td:nth-child(odd) {
  background-color: darkgray;
}
